#!/usr/bin/env bash

### Wifi @ SNCF TGV INOUI
### Sacha at aquilenet.fr 20240401
### Validate captive portal access

wifiinterface="wlp170s0"
tmpfile=/tmp/wifi-tgv.tmp

# Get DHCP answears
nmap --script broadcast-dhcp-discover -e $wifiinterface > $tmpfile
DNS=$(grep "Domain Name Server" $tmpfile | awk -F: '{gsub (" ", "", $0); print $2}')

# Enabling the wifi
echo "Enabling SNCF's Wifi"
curl --silent --output /dev/null -X POST 'https://wifi.sncf/router/api/connection/activate/auto' --resolve wifi.sncf:443:$DNS

# Optional: Check if we have Internet with perdu.com
echo -n "Checking Internet Access... "
curl --silent perdu.com |grep ici &&  echo "Internet is OK !!!" || echo "Internet is KO :((("